package com.iotechn.unimall.data.domain.market;

import com.iotechn.unimall.data.domain.SuperDO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 订单信息对象 market_order_info
 * 
 * @author jlb
 * @date 2022-08-01
 */
@Data
@TableName("market_order_info")
public class MarketOrderInfo extends SuperDO {
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /**  */
    @Excel(name = "")
    @TableField("company_id")
    private Long companyId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    @TableField("order_no")
    private String orderNo;

    /** 客户 */
    @Excel(name = "客户")
    @TableField("customer")
    private String customer;

    /** 收货地址 */
    @Excel(name = "收货地址")
    @TableField("pets")
    private String pets;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 0：否（默认） 1：是 */
    @Excel(name = "0：否", readConverterExp = "默=认")
    @TableField("delete_flag")
    private Integer deleteFlag;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /**  */
    @Excel(name = "")
    @TableField("user_id")
    private Long userId;

    /**  */
    @Excel(name = "")
    @TableField("admin_id")
    private Long adminId;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("orderNo", getOrderNo())
            .append("customer", getCustomer())
            .append("pets", getPets())
            .append("status", getStatus())
            .append("deleteFlag", getDeleteFlag())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("userId", getUserId())
            .append("adminId", getAdminId())
            .toString();
    }
}
